---
title: 'Coding for EO (R examples)'
output: html_document
---

## Introduction

This folder contains example R scripts for working with satellite data in NetCDF format prepared for the EUMETSAT Short Course: "Coding for EO". The course web page is here https://training.eumetsat.int/course/view.php?id=428, where this folder is provided.

This folder contains the following files:

- 0. Introduction.html
- 0. Introduction.md
- 1. Opening-and-rendering-an-image-from-a-Netcdf.html
- 1. Opening and rendering an image from a Netcdf.R
- 1. Opening and rendering an image from a Netcdf.Rmd
- 2. Generating-timeseries-and-statistics-from-EO-data.html
- 2. Generating timeseries and statistics from EO data.R
- 2. Generating timeseries and statistics from EO data.Rmd
- DNI_1983-01-01-2012-12-01.nc
- SDUms201808010000401UD1000101UD.nc

There are two example scripts in this folder:

1. Opening and rendering an image from a Netcdf
2. Generating timeseries and statistics from EO data

They are independent of each other, but you may which to go through them in order.

The example scripts are provided in 3 different formats:

a) As `.html` files - you can view these in a web browser without needing R installed. The HTML files are for viewing only and can't be edited.
b) As `.Rmd` files - Rmd stands for R MarkDown. These are the files that produced the HTML files. You can open them in RStudio to run, edit and play with. You can also use these to create your own HTML files.
c) As `.R` files - these are "plain" R files. You can open these in R or RStudio to run, edit and play with. They are similar to the .Rmd files but you can't create HTML files from them.

The scripts refer to two NetCDF data files:

- SDUms201808010000401UD1000101UD.nc
- DNI_1983-01-01-2012-12-01.nc

These are also provided in this folder so you do not need to download anything further to use these scripts.

To run the .R and .Rmd files you need to install R and we suggest also RStudio. Details are on the course web page.

For any questions please contact us at `training@eumetsat.int`